cURL
curl -X DELETE https://api.relayer.fi/v1/transactions/sign/$TRANSACTION_ID \
-H "Authorization: ApiKey $RELAYER_API_KEY"// Cancel a transaction in awaiting_signature state. Once broadcast,
// cancellation is no longer possible via this endpoint.
const response = await fetch(
`https://api.relayer.fi/v1/transactions/sign/${transactionId}`,
{
method: "DELETE",
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
},
);import requests
url = "https://testnet.relayer.fi/v1/transactions/sign/{transactionId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/sign/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transactions
Cancel a pending transaction
Cancels a pending transaction. Only pending transactions can be cancelled. Only transactions belonging to the integrator can be cancelled.
DELETE
/
transactions
/
sign
/
{transactionId}
cURL
curl -X DELETE https://api.relayer.fi/v1/transactions/sign/$TRANSACTION_ID \
-H "Authorization: ApiKey $RELAYER_API_KEY"// Cancel a transaction in awaiting_signature state. Once broadcast,
// cancellation is no longer possible via this endpoint.
const response = await fetch(
`https://api.relayer.fi/v1/transactions/sign/${transactionId}`,
{
method: "DELETE",
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
},
);import requests
url = "https://testnet.relayer.fi/v1/transactions/sign/{transactionId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/sign/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
api-keyapi-key
Use this format: ApiKey <your_api_key>
Path Parameters
Transaction ID
Example:
"tx-uuid-abc123"
Query Parameters
Integrator ID (required for ADMIN/INTERNAL scope)
Example:
"uuid-integrator-id"
Response
Transaction cancelled successfully
⌘I